<?xml version="1.0"?>

<!--DOCTYPE mapping PUBLIC "-//EXOLAB/Castor Object Mapping DTD Version 1.0//EN"
                         "http://Castor.exolab.org/mapping.dtd"-->

<mapping>

  <include href="mappings/yi.iu.region.Region_map.xml"/>

  <class name="yi.iu.processor.texture.reg.DS_GaborTextureRegions">

    <map-to xml="gabor-texture-regions"/>

    <field name="imageWidth" type="integer">
      <bind-xml node="attribute"/>
    </field>

    <field name="imageHeight" type="integer">
      <bind-xml node="attribute"/>
    </field>
    
    <field name="scale" type="double">
      <bind-xml node="attribute"/>
    </field>
    
    <field name="gaborTextureRegions" type="yi.iu.processor.texture.reg.GaborTextureRegion" collection="array">
      <bind-xml name="gabor-texture-region" node="element"/>
    </field>

  </class>

  <class name="yi.iu.processor.texture.reg.GaborTextureRegion">

    <map-to xml="gabor-texture-region"/>

    <field name="gabor" type="double" collection="array">
      <bind-xml node="element"/>
    </field>

    <field name="region" type="yi.iu.region.Region">
    </field>

  </class>
  
  <class name="yi.iu.processor.texture.reg.ChromaticGaborTextureRegion">

    <map-to xml="chromatic-gabor-texture-region"/>

    <field name="chromaticHist" type="integer" collection="array">
      <bind-xml node="element"/>
    </field>
    
    <field name="colorHist" type="integer" collection="array">
      <bind-xml node="element"/>
    </field>

    <field name="meanColor" type="integer">
      <bind-xml node="element"/>
    </field>

    <field name="gabor" type="double" collection="array">
      <bind-xml node="element"/>
    </field>

    <field name="region" type="yi.iu.region.Region">
    </field>

  </class>

</mapping>

